%define lib_major 0

# optional compile flags
%define enable_python 1
%{?_without_python: %global enable_python 0}

%define req_gtk_version 2.12.1

%define api_version 2.0
%define abi_version 2.8
%define libname	%mklibname %{name} %{api_version}_%{lib_major}
%define devlibname	%mklibname -d %{name}%{api_version}

Summary:	The GNU Image Manipulation Program
Name:		gimp
Epoch:		1
Version:	2.8.22
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		http://www.gimp.org/

Source0:	http://download.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.bz2
Source1:	http://download.gimp.org/pub/gimp/v%{abi_version}/gimp-%version.tar.bz2.md5
Source13:	gimp-scripting-sample.pl
Patch0:		gimp-2.8.0-link.patch
Patch1:		gimp-2.8.14-gegl-0.3.patch
#gw fix name in desktop file and disable startup notification
Patch2:		gimp-2.5.1-desktopentry.patch
Patch3:		gimp-2.8.16-fix_GEGL_FTBFS.patch
BuildRequires: pkgconfig(atk) >= 2.2.0
BuildRequires: pkgconfig(babl) >= 0.1.10
BuildRequires: pkgconfig(cairo) >= 1.10.2
BuildRequires: pkgconfig(cairo-pdf) >= 1.10.2
BuildRequires: pkgconfig(dbus-glib-1) >= 0.70
BuildRequires: pkgconfig(fontconfig) >= 2.2.0
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.24.1
BuildRequires: pkgconfig(gegl-0.3) >= 0.3.0
BuildRequires: pkgconfig(gio-2.0) >= 2.30.2
BuildRequires: pkgconfig(glib-2.0) >= 2.30.2
BuildRequires: pkgconfig(gmodule-no-export-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.24.10
BuildRequires: pkgconfig(gudev-1.0) >= 167
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(lcms2) >= 2.2
BuildRequires: pkgconfig(libcurl) >= 7.15.1
BuildRequires: pkgconfig(libexif) >= 0.6.15
BuildRequires: pkgconfig(libpng) >= 1.2.37
BuildRequires: pkgconfig(librsvg-2.0) >= 2.36.0
BuildRequires: pkgconfig(pangocairo) >= 1.29.4
BuildRequires: pkgconfig(pangoft2)
BuildRequires: pkgconfig(poppler-glib) >= 0.12.4
BuildRequires: pkgconfig(webkit-1.0) >= 1.6.1
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xfixes)

BuildRequires:	aalib-devel
BuildRequires:	gtk-doc >= 1.11-3
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	perl
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	libgs-devel
BuildRequires:	intltool
# mail plugin
BuildRequires:	sendmail-command
# python plugin
%if %enable_python
BuildRequires: pkgconfig(pygtk-2.0) >= 2.10.4
%endif
BuildRequires:  automake
BuildRequires:  libwmf-devel >= 0.2.8
BuildRequires:  pkgconfig(xext)
BuildRequires:  desktop-file-utils
Provides: gimp1_3 gimp2_0 gimp2_2 gimp2.6
Obsoletes: gimp1_3 gimp2_0 gimp2_2 gimp2.6
# workaround libgimp not bumping its major on API/ABI changes:
Requires:	%{libname} = %epoch:%{version}
Conflicts:	perl-Gimp < 2.2
Conflicts:	gutenprint-gimp2 < 5.0.1
Recommends:	gimp-help
Obsoletes:	gimp-help-2-common < 2.6

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in http://download.gimp.org/pub/gimp/fonts/ if
you are so inclined.  Alternatively, choose fonts which exist on your
system before running the scripts.

%package -n %{devlibname}
Summary:	GIMP plugin and extension development kit
Group:		Development/GNOME and GTK+
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
Epoch:		1
License:	LGPLv2+
Requires:	%{libname} = %epoch:%{version}
Provides:	gimp-devel = %{version}-%{release}
Provides:	gimp2.6-devel = %{version}-%{release}
Provides:	libgimp-devel = %{version}-%{release}

%description -n %{devlibname}
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %libname
Summary:	GIMP libraries
Group:		System/Libraries
Epoch:		1
License:	LGPLv2+
Provides:	libgimp%{api_version} = %{version}-%{release}
Obsoletes:	%mklibname gimp 2.6_2.0_0

%description -n %libname
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMP python extension
Group:		Development/Python
Epoch:		1
Requires:	pygtk2.0
Obsoletes: gimp1_3-python, gimp2_0-python, gimp2_2-python

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep
%setup -q -n gimp-%version
%patch0 -p0 -b .link
%patch1 -p1 -b .gegl
%patch2 -p1 -b .desktopentry
%patch3 -p1 -b .GEGL_FTBFS

%build
#for patch1
autoreconf -vfi
%configure2_5x --enable-default-binary=yes --disable-static \
	--enable-mp=yes		\
%if %enable_python
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
	--with-gif-compression=lzw	\
	--enable-gtk-doc=yes

%make_build

%install
%make_install

#clean unpackaged files
find %buildroot -name '*.la' -delete

# workaround broken help system
HELP_DIR=%{buildroot}%_datadir/gimp/%api_version/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls %{buildroot}%_datadir/gtk-doc/html/*/index.html | sed -e "s@%{buildroot}@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX

%find_lang gimp20 --all-name

%if %enable_python
chmod 755 %buildroot%_libdir/gimp/%{api_version}/plug-ins/*.py
mkdir -p %{buildroot}%{_libdir}/python%{python2_version}/site-packages
echo %_libdir/gimp/%{api_version}/python > %{buildroot}%{_libdir}/python%{python2_version}/site-packages/gimp.pth
echo %_libdir/gimp/%{api_version}/plug-ins >> %{buildroot}%{_libdir}/python%{python2_version}/site-packages/gimp.pth
%endif

desktop-file-install --vendor="" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f gimp20.lang
%{_bindir}/gimp
%{_bindir}/gimp-%abi_version
%{_bindir}/gimp-console
%{_bindir}/gimp-console-%abi_version
%{_datadir}/applications/*
%{_datadir}/appdata/gimp.appdata.xml
%{_datadir}/gimp
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{api_version}
%dir %{_libdir}/gimp/%{api_version}/environ
%{_libdir}/gimp/%{api_version}/interpreters
%{_libdir}/gimp/%{api_version}/environ/default.env
%{_libdir}/gimp/%{api_version}/modules
%{_libdir}/gimp/%{api_version}/plug-ins
%exclude %{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_mandir}/man1/gimp*
%{_mandir}/man5/gimp*
%_datadir/icons/hicolor/*/apps/gimp.png
#%%_datadir/icons/hicolor/scalable/apps/gimp.svg
%config(noreplace) %{_sysconfdir}/gimp

%doc AUTHORS NEWS README README.i18n docs/Wilber*

%files -n %{devlibname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

%files -n %libname
# explicitly list all libs to avoid old libtool issue
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}{,.*}

%if %enable_python
%files python
%{_libdir}/gimp/%{api_version}/environ/pygimp.env
%{_libdir}/gimp/%{api_version}/python
%{_libdir}/gimp/%{api_version}/plug-ins/*.py
%{_libdir}/python%{python2_version}/site-packages/*.pth
%endif


%changelog
* Thu May 11 2017 shlomif <shlomif> 1:2.8.22-1.mga6
+ Revision: 1100447
- New upstream version 2.8.22

* Wed Apr 19 2017 shlomif <shlomif> 1:2.8.20-3.mga6
+ Revision: 1096771
- spec cleanups.

* Wed Apr 19 2017 shlomif <shlomif> 1:2.8.20-2.mga6
+ Revision: 1096761
- Apply patch from SUSE for MGA#20663 / CVE-2007-3126 .

* Thu Feb 09 2017 shlomif <shlomif> 1:2.8.20-1.mga6
+ Revision: 1085202
- New upstream version 2.8.20.

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1:2.8.18-3.mga6
+ Revision: 1070623
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1:2.8.18-2.mga6
+ Revision: 1046179
- test rebuild for poppler

* Sat Jul 16 2016 daviddavid <daviddavid> 1:2.8.18-1.mga6
+ Revision: 1042300
- add patch3 from debian to fix build issue
  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=829431

  + tv <tv>
    - new release
    - drop merged patch 3

* Wed Jun 29 2016 shlomif <shlomif> 1:2.8.16-2.mga6
+ Revision: 1038109
- Fix MGA#18804 - CVE-2016-4994.
  Patch from commit e82aaa4b4ee0703c879e35ea9321fff6be3e9b6f to gimp git repo.

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1:2.8.16-1.mga6
+ Revision: 920515
- 2.8.16

* Wed Jul 08 2015 wally <wally> 1:2.8.14-5.mga6
+ Revision: 852902
- add patch to build with new gegl-0.3

* Wed Oct 15 2014 umeabot <umeabot> 1:2.8.14-4.mga5
+ Revision: 743885
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.8.14-3.mga5
+ Revision: 726324
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.8.14-2.mga5
+ Revision: 679574
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Aug 28 2014 fwang <fwang> 1:2.8.14-1.mga5
+ Revision: 668941
- 2.8.14
- replace with mageia

* Fri Aug 01 2014 spuhler <spuhler> 1:2.8.10-3.mga5
+ Revision: 659072
- changed BuildRequires: pkgconfig(lcms) >= 1.16 to pkgconfig(lcms2) >= 2.2
  * we want to obsolete lcms

* Sat Apr 26 2014 shlomif <shlomif> 1:2.8.10-2.mga5
+ Revision: 618181
- Update download URL and got to build with the latest freetype.

* Wed Feb 05 2014 fwang <fwang> 1:2.8.10-1.mga5
+ Revision: 583198
- update file list
- new version 2.8.10

* Wed Dec 04 2013 luigiwalser <luigiwalser> 1:2.8.6-4.mga4
+ Revision: 555178
- add upstream patches to fix CVE-2013-1913 and CVE-2013-1978

* Sat Oct 19 2013 umeabot <umeabot> 1:2.8.6-3.mga4
+ Revision: 533245
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 1:2.8.6-2.mga4
+ Revision: 472365
- rebuild for new libmng

* Sat Jun 22 2013 shlomif <shlomif> 1:2.8.6-1.mga4
+ Revision: 445640
- New version 2.8.6

* Mon Jun 03 2013 fwang <fwang> 1:2.8.4-2.mga4
+ Revision: 435876
- rebuild for new libpng

* Mon May 27 2013 fwang <fwang> 1:2.8.4-1.mga4
+ Revision: 428570
- new version 2.8.4

* Sat Jan 12 2013 umeabot <umeabot> 1:2.8.2-3.mga3
+ Revision: 351555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 07 2012 luigiwalser <luigiwalser> 1:2.8.2-2.mga3
+ Revision: 327883
- add upstream patch to fix CVE-2012-5576

  + malo <malo>
    - update RPM group

* Fri Aug 24 2012 fwang <fwang> 1:2.8.2-1.mga3
+ Revision: 283487
- new version 2.8.2

* Mon Aug 20 2012 luigiwalser <luigiwalser> 1:2.8.0-3.mga3
+ Revision: 282663
- add patches from redhat to fix CVE-2012-3403 and CVE-2012-3481

* Mon Jun 11 2012 fwang <fwang> 1:2.8.0-2.mga3
+ Revision: 259623
- adopt to gimp-help package name change

* Thu May 03 2012 fwang <fwang> 1:2.8.0-1.mga2
+ Revision: 234596
- fix br
- fix linkage
- more br
- do not promote math lib in ldflags
- requires poppler glib
- new version 2.8.0

* Wed Feb 22 2012 ovitters <ovitters> 1:2.7.4-4.mga2
+ Revision: 212214
- clean spec

* Mon Jan 23 2012 dmorgan <dmorgan> 1:2.7.4-3.mga2
+ Revision: 200194
- Fix package ownage

* Fri Dec 23 2011 fwang <fwang> 1:2.7.4-2.mga2
+ Revision: 186519
- rebuild for new libtiff

* Mon Dec 19 2011 gil <gil> 1:2.7.4-1.mga2
+ Revision: 184116
- build fix
  added export LDFLAGS
- clean spec file
- update to 2.7.4 (unstable, see http://developer.gimp.org/NEWS for details)

* Tue Sep 27 2011 ovitters <ovitters> 1:2.7.3-1.mga2
+ Revision: 149469
- rebuild for new poppler

  + gil <gil>
    - gimp.svg commented
    - edit spec file
    - update to 2.7.3

* Sun Sep 18 2011 fwang <fwang> 1:2.6.11-10.mga2
+ Revision: 144995
- drop .la files

* Sun Sep 18 2011 fwang <fwang> 1:2.6.11-9.mga2
+ Revision: 144964
- fix build with libpng 1.5
- rebuild for new libpng

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Mon Jun 20 2011 dmorgan <dmorgan> 1:2.6.11-7.mga2
+ Revision: 110464
- Rebuild against new webkit

* Tue May 03 2011 ahmad <ahmad> 1:2.6.11-6.mga1
+ Revision: 94526
- Obsolete gimp-help-2-common to smoothen upgrades from older Mdv releases

* Mon Mar 28 2011 ahmad <ahmad> 1:2.6.11-5.mga1
+ Revision: 78491
- add an upstream patch to fix goption warning with glib >= 2.28.2

* Wed Jan 19 2011 ahmad <ahmad> 1:2.6.11-4.mga1
+ Revision: 24845
- drop old/unneeded scriptlets
- use gtk-doc generic BR
- imported package gimp

